jmarkov.solvers

## Class SteadyStateSolver

- java.lang.Object
- - jmarkov.solvers.Solver
  - - jmarkov.solvers.SteadyStateSolver

- All Implemented Interfaces:
    JMarkovElement
  Direct Known Subclasses:
    JamaSolver, MtjSolver

      public abstract class SteadyStateSolver
      extends Solver

  An abstract class for steady state solver. Any solver for steady state should extend this class.
  Author:
    Germán Riaño. universidad de los Andes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SteadyStateSolver(MarkovProcess mp)` Builds a Steady State Solver with the given SimpleMarkovProcess.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double[]` | `getSteadyState()` This process should be extended in order to compute the steady State probabilities of the MarkovChain.

    - ### Methods inherited from class jmarkov.solvers.Solver

      `getMP, label, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `description, equals`

- - ### Constructor Detail

    - #### SteadyStateSolver

          public SteadyStateSolver(MarkovProcess mp)

      Builds a Steady State Solver with the given SimpleMarkovProcess.
      Parameters:
        `mp` - The Markov Process for which the steady state probabilities are sought.

  - ### Method Detail

    - #### getSteadyState

          public abstract double[] getSteadyState()
                                           throws NotUnichainException

      This process should be extended in order to compute the steady State probabilities of the MarkovChain. The user can get information of the SimpleMarkovProcess associated with this solver though the methods `getRates(), getGenerator, and getRate(State,State)`
      Returns:
        an array with the Steady state probabilities for the given problem.
      Throws:
        `NotUnichainException`
      See Also:
        `MarkovProcess.getGenerator()`, `MarkovProcess.getRates()`, `MarkovProcess.getRate(State, State)`